Bug 173859 - Low throughput on intercontinental connections
Summary: Low throughput on intercontinental connections
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-23 12:40 UTC by marc
Modified: 2018-01-03 05:13 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description marc 2012-11-23 12:40:00 UTC
We are experiencing low throughput on interncontinental connections with
our FreeBSD Servers. We made several tests and are wondering, why this
would be. The first tests were on an IPSEC VPN between our datacenter in
DE and Santa Clara, CA. We are connected with two gigabit uplinks in
each DC. Pushing data by scp between our FreeBSD servers takes ages.
Starting with several MB/s it drops to 60-70KB/s:

[root@freebsd ~]# ls -alh test.tgz
-rw-r-----  1 root  wheel    58M Oct  5  2010 test.tgz
[root@freebsd ~]# scp test.tgz 172.16.3.10:.
Password:
test.tgz       28%   17MB  75.3KB/s   09:32 ETA


For comparision, we did a similiar test with Linux, which didn't show
this behaviour:

root@linux:~# scp jdk-6u33-linux-x64.bin 172.16.4.50:
root@172.16.4.50's password:
jdk-6u33-linux-x64.bin                                             100%
  69MB   3.4MB/s   00:21
root@linux:~#


Otherwise, the servers are really fast, when copying data to a machine
nearby:

[root@freebsd ~]# ls -alh test
-rw-r--r--  1 root  wheel     1G Nov 21 13:43 test
[root@freebsd ~]# scp test 172.16.3.11:
Password:
test                                     100% 1000MB  38.5MB/s   00:26


Intercontinental ftp downloads are the same:

[root@freebsd ~]# fetch
ftp://ftp1.us.freebsd.org/pub/FreeBSD/releases/amd64/amd64/ISO-IMAGES/9.1/FreeBSD-9.1-RC3-amd64-bootonly.iso
FreeBSD-9.1-RC3-amd64-bootonly.iso           100% of  146 MB   46 MBps

[root@freebsd ~]# fetch
ftp://ftp1.us.freebsd.org/pub/FreeBSD/releases/amd64/amd64/ISO-IMAGES/9.1/FreeBSD-9.1-RC3-amd64-disc1.iso

FreeBSD-9.1-RC3-amd64-disc1.iso         100% of  685 MB   36 MBps 00m00s

[root@freebsd ~]# fetch
ftp://ftp1.de.freebsd.org/pub/FreeBSD/releases/amd64/amd64/ISO-IMAGES/9.1/FreeBSD-9.1-RC3-amd64-disc1.iso
FreeBSD-9.1-RC3-amd64-disc1.iso         0% of  685 MB   13 kBps 14h49m^C


Linux:

root@linux:~# wget
ftp://ftp1.de.freebsd.org/pub/FreeBSD/releases/amd64/amd64/ISO-IMAGES/9.1/FreeBSD-9.1-RC3-amd64-disc1.iso
--2012-11-21 15:07:57--
ftp://ftp1.de.freebsd.org/pub/FreeBSD/releases/amd64/amd64/ISO-IMAGES/9.1/FreeBSD-9.1-RC3-amd64-disc1.iso
           => `FreeBSD-9.1-RC3-amd64-disc1.iso'
Resolving ftp1.de.freebsd.org... 137.226.34.42
Connecting to ftp1.de.freebsd.org|137.226.34.42|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD (1)
/pub/FreeBSD/releases/amd64/amd64/ISO-IMAGES/9.1 ... done.
==> SIZE FreeBSD-9.1-RC3-amd64-disc1.iso ... 718800896
==> PASV ... done.    ==> RETR FreeBSD-9.1-RC3-amd64-disc1.iso ... done.
Length: 718800896 (686M) (unauthoritative)

100%[=====================================================================>]
718,800,896 19.1M/s   in 61s

2012-11-21 15:09:01 (11.2 MB/s) - `FreeBSD-9.1-RC3-amd64-disc1.iso'
saved [718800896]


Doing some googling brought up a lot of tuning hints, but nothing worked
for us. We tweaked some sysctls:

kern.ipc.maxsockbuf=16777216
net.inet.tcp.sendbuf_max=16777216
net.inet.tcp.recvbuf_max=16777216
net.inet.tcp.sendbuf_inc=16384
net.inet.tcp.recvbuf_inc=524288
net.inet.tcp.hostcache.expire=1

but to no good. Disabling MSI and TSO4 for the card didn't change
anything, too.

"netstat -nia" showed no errors or collisions; same for the Linux hosts.

ping times through an IPSEC tunnel or to the external addresses are expected for somewhat 10k kilometers distance:

IPSEC:
ping 172.16.3.10
PING 172.16.3.10 (172.16.3.10) 56(84) bytes of data.
64 bytes from 172.16.3.10: icmp_req=1 ttl=62 time=155 ms
64 bytes from 172.16.3.10: icmp_req=2 ttl=62 time=156 ms
64 bytes from 172.16.3.10: icmp_req=3 ttl=62 time=155 ms
64 bytes from 172.16.3.10: icmp_req=4 ttl=62 time=156 ms
64 bytes from 172.16.3.10: icmp_req=5 ttl=62 time=156 ms

external address:
ping 8.35.XXX.XXX
PING 8.35.XXX.XXX (8.35.XXX.XXX) 56(84) bytes of data.
64 bytes from 8.35.XXX.XXX: icmp_req=1 ttl=47 time=163 ms
64 bytes from 8.35.XXX.XXX: icmp_req=2 ttl=47 time=159 ms
64 bytes from 8.35.XXX.XXX: icmp_req=3 ttl=47 time=149 ms
64 bytes from 8.35.XXX.XXX: icmp_req=4 ttl=47 time=154 ms
64 bytes from 8.35.XXX.XXX: icmp_req=5 ttl=47 time=156 ms
64 bytes from 8.35.XXX.XXX: icmp_req=6 ttl=47 time=153 ms
64 bytes from 8.35.XXX.XXX: icmp_req=7 ttl=47 time=155 ms

The machines are all HP DL360G7 with bce cards.

# ifconfig:
bce0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=c01bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,VLAN_HWTSO,LINKSTATE>
	ether ac:16:2d:b7:00:f4
	inet 172.16.3.10 netmask 0xffffff00 broadcast 172.16.3.255
	inet6 fe80::ae16:2dff:feb7:f4%bce0 prefixlen 64 scopeid 0x1
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect (1000baseT <full-duplex>)
	status: active
bce1: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=c01bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,VLAN_HWTSO,LINKSTATE>
	ether ac:16:2d:b7:00:f6
	inet 172.17.3.10 netmask 0xfffff800 broadcast 172.17.7.255
	inet6 fe80::ae16:2dff:feb7:f6%bce1 prefixlen 64 scopeid 0x2
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect (1000baseT <full-duplex,master>)
	status: active
bce2: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=c01bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,VLAN_HWTSO,LINKSTATE>
	ether ac:16:2d:b7:00:fc
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect
bce3: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=c01bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,VLAN_HWTSO,LINKSTATE>
	ether ac:16:2d:b7:00:fe
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect
lo0: flags=8049<UP,LOOPBACK,RUNNING,MULTICAST> metric 0 mtu 16384
	options=600003<RXCSUM,TXCSUM,RXCSUM_IPV6,TXCSUM_IPV6>
	inet6 ::1 prefixlen 128
	inet6 fe80::1%lo0 prefixlen 64 scopeid 0xb
	inet 127.0.0.1 netmask 0xff000000
	nd6 options=21<PERFORMNUD,AUTO_LINKLOCAL>

# dmesg:
Copyright (c) 1992-2012 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 9.1-RC2 #0 r241106: Mon Oct  1 18:26:44 UTC 2012
    root@farrell.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC amd64
CPU: Intel(R) Xeon(R) CPU           X5660  @ 2.80GHz (2800.16-MHz
K8-class CPU)
  Origin = "GenuineIntel"  Id = 0x206c2  Family = 6  Model = 2c
Stepping = 2

Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>

Features2=0x29ee3ff<SSE3,PCLMULQDQ,DTES64,MON,DS_CPL,VMX,SMX,EST,TM2,SSSE3,CX16,xTPR,PDCM,PCID,DCA,SSE4.1,SSE4.2,POPCNT,AESNI>
  AMD Features=0x2c100800<SYSCALL,NX,Page1GB,RDTSCP,LM>
  AMD Features2=0x1<LAHF>
  TSC: P-state invariant, performance statistics
real memory  = 34359738368 (32768 MB)
avail memory = 33095315456 (31562 MB)
Event timer "LAPIC" quality 600
ACPI APIC Table: <HP     ProLiant>
FreeBSD/SMP: Multiprocessor System Detected: 24 CPUs
FreeBSD/SMP: 2 package(s) x 6 core(s) x 2 SMT threads
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
 cpu2 (AP): APIC ID:  2
 cpu3 (AP): APIC ID:  3
 cpu4 (AP): APIC ID:  4
 cpu5 (AP): APIC ID:  5
 cpu6 (AP): APIC ID: 16
 cpu7 (AP): APIC ID: 17
 cpu8 (AP): APIC ID: 18
 cpu9 (AP): APIC ID: 19
 cpu10 (AP): APIC ID: 20
 cpu11 (AP): APIC ID: 21
 cpu12 (AP): APIC ID: 32
 cpu13 (AP): APIC ID: 33
 cpu14 (AP): APIC ID: 34
 cpu15 (AP): APIC ID: 35
 cpu16 (AP): APIC ID: 36
 cpu17 (AP): APIC ID: 37
 cpu18 (AP): APIC ID: 48
 cpu19 (AP): APIC ID: 49
 cpu20 (AP): APIC ID: 50
 cpu21 (AP): APIC ID: 51
 cpu22 (AP): APIC ID: 52
 cpu23 (AP): APIC ID: 53
ACPI Warning: Invalid length for Pm1aControlBlock: 32, using default 16
(20110527/tbfadt-638)
ACPI Warning: Invalid length for Pm2ControlBlock: 32, using default 8
(20110527/tbfadt-638)
ioapic1 <Version 2.0> irqs 24-47 on motherboard
ioapic0 <Version 2.0> irqs 0-23 on motherboard
kbd1 at kbdmux0
ctl: CAM Target Layer loaded
acpi0: <HP ProLiant> on motherboard
acpi0: Power Button (fixed)
cpu0: <ACPI CPU> on acpi0
cpu1: <ACPI CPU> on acpi0
cpu2: <ACPI CPU> on acpi0
cpu3: <ACPI CPU> on acpi0
cpu4: <ACPI CPU> on acpi0
cpu5: <ACPI CPU> on acpi0
cpu6: <ACPI CPU> on acpi0
cpu7: <ACPI CPU> on acpi0
cpu8: <ACPI CPU> on acpi0
cpu9: <ACPI CPU> on acpi0
cpu10: <ACPI CPU> on acpi0
cpu11: <ACPI CPU> on acpi0
cpu12: <ACPI CPU> on acpi0
cpu13: <ACPI CPU> on acpi0
cpu14: <ACPI CPU> on acpi0
cpu15: <ACPI CPU> on acpi0
cpu16: <ACPI CPU> on acpi0
cpu17: <ACPI CPU> on acpi0
cpu18: <ACPI CPU> on acpi0
cpu19: <ACPI CPU> on acpi0
cpu20: <ACPI CPU> on acpi0
cpu21: <ACPI CPU> on acpi0
cpu22: <ACPI CPU> on acpi0
cpu23: <ACPI CPU> on acpi0
attimer0: <AT timer> port 0x40-0x43 irq 0 on acpi0
Timecounter "i8254" frequency 1193182 Hz quality 0
Event timer "i8254" frequency 1193182 Hz quality 100
hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff on acpi0
Timecounter "HPET" frequency 14318180 Hz quality 950
Event timer "HPET" frequency 14318180 Hz quality 450
Event timer "HPET1" frequency 14318180 Hz quality 440
Event timer "HPET2" frequency 14318180 Hz quality 440
Event timer "HPET3" frequency 14318180 Hz quality 440
atrtc0: <AT realtime clock> port 0x70-0x71 on acpi0
Event timer "RTC" frequency 32768 Hz quality 0
Timecounter "ACPI-safe" frequency 3579545 Hz quality 850
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x908-0x90b on acpi0
pcib0: <ACPI Host-PCI bridge> on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> at device 1.0 on pci0
pci5: <ACPI PCI bus> on pcib1
ciss0: <HP Smart Array P410i> port 0x4000-0x40ff mem
0xfbe00000-0xfbffffff,0xfbdf0000-0xfbdf0fff irq 28 at device 0.0 on pci5
ciss0: PERFORMANT Transport
pcib2: <ACPI PCI-PCI bridge> at device 2.0 on pci0
pci12: <ACPI PCI bus> on pcib2
pcib3: <ACPI PCI-PCI bridge> at device 3.0 on pci0
pci9: <ACPI PCI bus> on pcib3
pcib4: <ACPI PCI-PCI bridge> at device 4.0 on pci0
pci13: <ACPI PCI bus> on pcib4
pcib5: <ACPI PCI-PCI bridge> at device 5.0 on pci0
pci14: <ACPI PCI bus> on pcib5
pcib6: <ACPI PCI-PCI bridge> at device 6.0 on pci0
pci15: <ACPI PCI bus> on pcib6
pcib7: <ACPI PCI-PCI bridge> at device 7.0 on pci0
pci3: <ACPI PCI bus> on pcib7
bce0: <HP NC382i DP Multifunction Gigabit Server Adapter (C0)> mem
0xf4000000-0xf5ffffff irq 30 at device 0.0 on pci3
miibus0: <MII bus> on bce0
brgphy0: <BCM5709 10/100/1000baseT PHY> PHY 1 on miibus0
brgphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT,
1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bce0: Ethernet address: ac:16:2d:b7:00:f4
bce0: ASIC (0x57092003); Rev (C0); Bus (PCIe x4, 2.5Gbps); B/C (5.2.3);
Bufs (RX:2;TX:2;PG:8); Flags (SPLT|MSI|MFW); MFW (NCSI 2.0.12)
Coal (RX:6,6,18,18; TX:20,20,80,80)
bce1: <HP NC382i DP Multifunction Gigabit Server Adapter (C0)> mem
0xf2000000-0xf3ffffff irq 37 at device 0.1 on pci3
miibus1: <MII bus> on bce1
brgphy1: <BCM5709 10/100/1000baseT PHY> PHY 1 on miibus1
brgphy1:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT,
1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bce1: Ethernet address: ac:16:2d:b7:00:f6
bce1: ASIC (0x57092003); Rev (C0); Bus (PCIe x4, 2.5Gbps); B/C (5.2.3);
Bufs (RX:2;TX:2;PG:8); Flags (SPLT|MSI|MFW); MFW (NCSI 2.0.12)
Coal (RX:6,6,18,18; TX:20,20,80,80)
pcib8: <ACPI PCI-PCI bridge> at device 8.0 on pci0
pci4: <ACPI PCI bus> on pcib8
bce2: <HP NC382i DP Multifunction Gigabit Server Adapter (C0)> mem
0xf8000000-0xf9ffffff irq 31 at device 0.0 on pci4
miibus2: <MII bus> on bce2
brgphy2: <BCM5709 10/100/1000baseT PHY> PHY 1 on miibus2
brgphy2:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT,
1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bce2: Ethernet address: ac:16:2d:b7:00:fc
bce2: ASIC (0x57092003); Rev (C0); Bus (PCIe x4, 2.5Gbps); B/C (5.2.3);
Bufs (RX:2;TX:2;PG:8); Flags (SPLT|MSI|MFW); MFW (NCSI 2.0.12)
Coal (RX:6,6,18,18; TX:20,20,80,80)
bce3: <HP NC382i DP Multifunction Gigabit Server Adapter (C0)> mem
0xf6000000-0xf7ffffff irq 39 at device 0.1 on pci4
miibus3: <MII bus> on bce3
brgphy3: <BCM5709 10/100/1000baseT PHY> PHY 1 on miibus3
brgphy3:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT,
1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bce3: Ethernet address: ac:16:2d:b7:00:fe
bce3: ASIC (0x57092003); Rev (C0); Bus (PCIe x4, 2.5Gbps); B/C (5.2.3);
Bufs (RX:2;TX:2;PG:8); Flags (SPLT|MSI|MFW); MFW (NCSI 2.0.12)
Coal (RX:6,6,18,18; TX:20,20,80,80)
pcib9: <ACPI PCI-PCI bridge> at device 9.0 on pci0
pci6: <ACPI PCI bus> on pcib9
pcib10: <ACPI PCI-PCI bridge> at device 10.0 on pci0
pci16: <ACPI PCI bus> on pcib10
pci0: <base peripheral, interrupt controller> at device 20.0 (no driver
attached)
pci0: <base peripheral, interrupt controller> at device 20.1 (no driver
attached)
pci0: <base peripheral, interrupt controller> at device 20.2 (no driver
attached)
pcib11: <ACPI PCI-PCI bridge> at device 28.0 on pci0
pci17: <ACPI PCI bus> on pcib11
pcib12: <ACPI PCI-PCI bridge> at device 28.4 on pci0
pci2: <ACPI PCI bus> on pcib12
pci2: <base peripheral> at device 0.0 (no driver attached)
pci2: <base peripheral> at device 0.2 (no driver attached)
uhci0: <UHCI (generic) USB controller> port 0x3c00-0x3c1f irq 17 at
device 0.4 on pci2
usbus0 on uhci0
uhci1: <Intel 82801JI (ICH10) USB controller USB-A> port 0x1000-0x101f
irq 20 at device 29.0 on pci0
usbus1 on uhci1
uhci2: <Intel 82801JI (ICH10) USB controller USB-B> port 0x1020-0x103f
irq 23 at device 29.1 on pci0
usbus2 on uhci2
uhci3: <Intel 82801JI (ICH10) USB controller USB-C> port 0x1040-0x105f
irq 22 at device 29.2 on pci0
usbus3 on uhci3
uhci4: <Intel 82801JI (ICH10) USB controller USB-F> port 0x1060-0x107f
irq 23 at device 29.3 on pci0
usbus4 on uhci4
ehci0: <Intel 82801JI (ICH10) USB 2.0 controller USB-A> mem
0xf1bf0000-0xf1bf03ff irq 20 at device 29.7 on pci0
usbus5: EHCI version 1.0
usbus5 on ehci0
pcib13: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci1: <ACPI PCI bus> on pcib13
vgapci0: <VGA-compatible display> port 0x2000-0x20ff mem
0xe8000000-0xefffffff,0xf1cf0000-0xf1cfffff irq 23 at device 3.0 on pci1
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel ICH10 SATA300 controller> port
0x1080-0x1087,0x1088-0x108b,0x1090-0x1097,0x1098-0x109b,0x10a0-0x10af,0x10b0-0x10bf
irq 17 at device 31.2 on pci0
ata2: <ATA channel> at channel 0 on atapci0
ata3: <ATA channel> at channel 1 on atapci0
acpi_tz0: <Thermal Zone> on acpi0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
uart0: <Non-standard ns8250 class UART with FIFOs> port 0x3f8-0x3ff irq
4 flags 0x10 on acpi0
qpi0: <QPI system bus> on motherboard
orm0: <ISA Option ROM> at iomem 0xc0000-0xcafff on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
ppc0: cannot reserve I/O port range
uart1: <Non-standard ns8250 class UART with FIFOs> at port 0x2f8-0x2ff
irq 3 on isa0
est0: <Enhanced SpeedStep Frequency Control> on cpu0
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est0 attach returned 6
p4tcc0: <CPU Frequency Thermal Control> on cpu0
est1: <Enhanced SpeedStep Frequency Control> on cpu1
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est1 attach returned 6
p4tcc1: <CPU Frequency Thermal Control> on cpu1
est2: <Enhanced SpeedStep Frequency Control> on cpu2
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est2 attach returned 6
p4tcc2: <CPU Frequency Thermal Control> on cpu2
est3: <Enhanced SpeedStep Frequency Control> on cpu3
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est3 attach returned 6
p4tcc3: <CPU Frequency Thermal Control> on cpu3
est4: <Enhanced SpeedStep Frequency Control> on cpu4
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est4 attach returned 6
p4tcc4: <CPU Frequency Thermal Control> on cpu4
est5: <Enhanced SpeedStep Frequency Control> on cpu5
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est5 attach returned 6
p4tcc5: <CPU Frequency Thermal Control> on cpu5
est6: <Enhanced SpeedStep Frequency Control> on cpu6
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est6 attach returned 6
p4tcc6: <CPU Frequency Thermal Control> on cpu6
est7: <Enhanced SpeedStep Frequency Control> on cpu7
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est7 attach returned 6
p4tcc7: <CPU Frequency Thermal Control> on cpu7
est8: <Enhanced SpeedStep Frequency Control> on cpu8
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est8 attach returned 6
p4tcc8: <CPU Frequency Thermal Control> on cpu8
est9: <Enhanced SpeedStep Frequency Control> on cpu9
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est9 attach returned 6
p4tcc9: <CPU Frequency Thermal Control> on cpu9
est10: <Enhanced SpeedStep Frequency Control> on cpu10
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est10 attach returned 6
p4tcc10: <CPU Frequency Thermal Control> on cpu10
est11: <Enhanced SpeedStep Frequency Control> on cpu11
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est11 attach returned 6
p4tcc11: <CPU Frequency Thermal Control> on cpu11
est12: <Enhanced SpeedStep Frequency Control> on cpu12
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est12 attach returned 6
p4tcc12: <CPU Frequency Thermal Control> on cpu12
est13: <Enhanced SpeedStep Frequency Control> on cpu13
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est13 attach returned 6
p4tcc13: <CPU Frequency Thermal Control> on cpu13
est14: <Enhanced SpeedStep Frequency Control> on cpu14
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est14 attach returned 6
p4tcc14: <CPU Frequency Thermal Control> on cpu14
est15: <Enhanced SpeedStep Frequency Control> on cpu15
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est15 attach returned 6
p4tcc15: <CPU Frequency Thermal Control> on cpu15
est16: <Enhanced SpeedStep Frequency Control> on cpu16
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est16 attach returned 6
p4tcc16: <CPU Frequency Thermal Control> on cpu16
est17: <Enhanced SpeedStep Frequency Control> on cpu17
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est17 attach returned 6
p4tcc17: <CPU Frequency Thermal Control> on cpu17
est18: <Enhanced SpeedStep Frequency Control> on cpu18
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est18 attach returned 6
p4tcc18: <CPU Frequency Thermal Control> on cpu18
est19: <Enhanced SpeedStep Frequency Control> on cpu19
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est19 attach returned 6
p4tcc19: <CPU Frequency Thermal Control> on cpu19
est20: <Enhanced SpeedStep Frequency Control> on cpu20
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est20 attach returned 6
p4tcc20: <CPU Frequency Thermal Control> on cpu20
est21: <Enhanced SpeedStep Frequency Control> on cpu21
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est21 attach returned 6
p4tcc21: <CPU Frequency Thermal Control> on cpu21
est22: <Enhanced SpeedStep Frequency Control> on cpu22
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est22 attach returned 6
p4tcc22: <CPU Frequency Thermal Control> on cpu22
est23: <Enhanced SpeedStep Frequency Control> on cpu23
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 16
device_attach: est23 attach returned 6
p4tcc23: <CPU Frequency Thermal Control> on cpu23
ZFS filesystem version 5
ZFS storage pool version 28
Timecounters tick every 1.000 msec
usbus0: 12Mbps Full Speed USB v1.0
usbus1: 12Mbps Full Speed USB v1.0
usbus2: 12Mbps Full Speed USB v1.0
usbus3: 12Mbps Full Speed USB v1.0
usbus4: 12Mbps Full Speed USB v1.0
usbus5: 480Mbps High Speed USB v2.0
ugen0.1: <0x103c> at usbus0
uhub0: <0x103c UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus0
ugen1.1: <Intel> at usbus1
uhub1: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus1
ugen2.1: <Intel> at usbus2
uhub2: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus2
ugen3.1: <Intel> at usbus3
uhub3: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus3
ugen4.1: <Intel> at usbus4
uhub4: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus4
ugen5.1: <Intel> at usbus5
uhub5: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus5
uhub0: 2 ports with 2 removable, self powered
uhub1: 2 ports with 2 removable, self powered
uhub2: 2 ports with 2 removable, self powered
uhub3: 2 ports with 2 removable, self powered
uhub4: 2 ports with 2 removable, self powered
ugen0.2: <HP> at usbus0
ukbd0: <Virtual Keyboard > on usbus0
kbd2 at ukbd0
ums0: <Virtual Mouse> on usbus0
(probe0:ciss0:0:0:0): REPORT LUNS. CDB: a0 0 0 0 0 0 0 0 0 10 0 0
(probe0:ciss0:0:0:0): CAM status: SCSI Status Error
(probe0:ciss0:0:0:0): SCSI status: Check Condition
(probe0:ciss0:0:0:0): SCSI sense: ILLEGAL REQUEST asc:20,0 (Invalid
command operation code)
(probe0:ciss0:0:0:0): Error 22, Unretryable error
da0 at ciss0 bus 0 scbus0 target 0 lun 0
da0: <COMPAQ RAID 1(1VOLUME OK> Fixed Direct Access SCSI-5 device
da0: 135.168MB/s transfers
da0: Command Queueing enabled
da0: 286070MB (585871964 512 byte sectors: 255H 32S/T 65535C)
SMP: AP CPU #1 Launched!
cd0 at ata2 bus 0 scbus2 target 0 lun 0
cd0: <hp DVD A  DS8A8SH KHE4> Removable CD-ROM SCSI-0 device
SMP: AP CPU #12 Launched!
cd0: 150.000MB/s transfers (SATA 1.x, UDMA5, ATAPI 12bytes, PIO 8192bytes)
cd0: Attempt to query device size failed: NOT READY, Medium not present
- tray closed
SMP: AP CPU #11 Launched!
SMP: AP CPU #19 Launched!
SMP: AP CPU #10 Launched!
SMP: AP CPU #22 Launched!
SMP: AP CPU #8 Launched!
SMP: AP CPU #16 Launched!
SMP: AP CPU #9 Launched!
SMP: AP CPU #23 Launched!
SMP: AP CPU #21 Launched!
SMP: AP CPU #3 Launched!
SMP: AP CPU #14 Launched!
SMP: AP CPU #6 Launched!
SMP: AP CPU #17 Launched!
SMP: AP CPU #7 Launched!
SMP: AP CPU #20 Launched!
SMP: AP CPU #5 Launched!
SMP: AP CPU #13 Launched!
SMP: AP CPU #2 Launched!
SMP: AP CPU #18 Launched!
SMP: AP CPU #4 Launched!
SMP: AP CPU #15 Launched!
Timecounter "TSC-low" frequency 10938126 Hz quality 1000
uhub5: 8 ports with 8 removable, self powered
Trying to mount root from ufs:/dev/da0p2 [rw]...
bce0: link state changed to UP
bce0: Gigabit link up!
bce0: Gigabit link up!
bce0: Gigabit link up!
bce1: link state changed to UP
bce1: Gigabit link up!
bce1: Gigabit link up!
bce1: Gigabit link up!
Comment 1 marc 2012-11-23 15:03:36 UTC
As Adrian Chadd requested, the output of netstat -sp tcp before and
after sending/receiving a 100MB testfile (created with dd if=/dev/random
of=testfile bs=5M count=20 and copied by scp):


sending host, before:

tcp:
	4 packets sent
		4 data packets (2576 bytes)
		0 data packets (0 bytes) retransmitted
		0 data packets unnecessarily retransmitted
		0 resends initiated by MTU discovery
		0 ack-only packets (0 delayed)
		0 URG only packets
		0 window probe packets
		0 window update packets
		0 control packets
	4 packets received
		4 acks (for 2576 bytes)
		0 duplicate acks
		0 acks for unsent data
		0 packets (0 bytes) received in-sequence
		0 completely duplicate packets (0 bytes)
		0 old duplicate packets
		0 packets with some dup. data (0 bytes duped)
		0 out-of-order packets (0 bytes)
		0 packets (0 bytes) of data after window
		0 window probes
		0 window update packets
		0 packets received after close
		0 discarded for bad checksums
		0 discarded for bad header offset fields
		0 discarded because packet too short
		0 discarded due to memory problems
	0 connection requests
	0 connection accepts
	0 bad connection attempts
	0 listen queue overflows
	0 ignored RSTs in the windows
	0 connections established (including accepts)
	0 connections closed (including 0 drops)
		0 connections updated cached RTT on close
		0 connections updated cached RTT variance on close
		0 connections updated cached ssthresh on close
	0 embryonic connections dropped
	4 segments updated rtt (of 1 attempt)
	0 retransmit timeouts
		0 connections dropped by rexmit timeout
	0 persist timeouts
		0 connections dropped by persist timeout
	0 Connections (fin_wait_2) dropped because of timeout
	0 keepalive timeouts
		0 keepalive probes sent
		0 connections dropped by keepalive
	4 correct ACK header predictions
	0 correct data packet header predictions
	0 syncache entries added
		0 retransmitted
		0 dupsyn
		0 dropped
		0 completed
		0 bucket overflow
		0 cache overflow
		0 reset
		0 stale
		0 aborted
		0 badack
		0 unreach
		0 zone failures
	0 cookies sent
	0 cookies received
	0 hostcache entries added
		0 bucket overflow
	0 SACK recovery episodes
	0 segment rexmits in SACK recovery episodes
	0 byte rexmits in SACK recovery episodes
	0 SACK options (SACK blocks) received
	0 SACK options (SACK blocks) sent
	0 SACK scoreboard overflow
	0 packets with ECN CE bit set
	0 packets with ECN ECT(0) bit set
	0 packets with ECN ECT(1) bit set
	0 successful ECN handshakes
	0 times ECN reduced the congestion window

sending host, after:
tcp:
	45248 packets sent
		44477 data packets (105036153 bytes)
		6 data packets (7548 bytes) retransmitted
		0 data packets unnecessarily retransmitted
		0 resends initiated by MTU discovery
		763 ack-only packets (0 delayed)
		0 URG only packets
		0 window probe packets
		0 window update packets
		2 control packets
	63733 packets received
		44518 acks (for 105036057 bytes)
		823 duplicate acks
		0 acks for unsent data
		817 packets (40385 bytes) received in-sequence
		169 completely duplicate packets (192 bytes)
		132 old duplicate packets
		0 packets with some dup. data (0 bytes duped)
		12 out-of-order packets (1056 bytes)
		0 packets (0 bytes) of data after window
		0 window probes
		14627 window update packets
		0 packets received after close
		0 discarded for bad checksums
		0 discarded for bad header offset fields
		0 discarded because packet too short
		0 discarded due to memory problems
	1 connection request
	0 connection accepts
	0 bad connection attempts
	0 listen queue overflows
	0 ignored RSTs in the windows
	1 connection established (including accepts)
	0 connections closed (including 0 drops)
		0 connections updated cached RTT on close
		0 connections updated cached RTT variance on close
		0 connections updated cached ssthresh on close
	0 embryonic connections dropped
	44518 segments updated rtt (of 44248 attempts)
	0 retransmit timeouts
		0 connections dropped by rexmit timeout
	0 persist timeouts
		0 connections dropped by persist timeout
	0 Connections (fin_wait_2) dropped because of timeout
	0 keepalive timeouts
		0 keepalive probes sent
		0 connections dropped by keepalive
	1245 correct ACK header predictions
	670 correct data packet header predictions
	0 syncache entries added
		0 retransmitted
		0 dupsyn
		0 dropped
		0 completed
		0 bucket overflow
		0 cache overflow
		0 reset
		0 stale
		0 aborted
		0 badack
		0 unreach
		0 zone failures
	0 cookies sent
	0 cookies received
	0 hostcache entries added
		0 bucket overflow
	0 SACK recovery episodes
	0 segment rexmits in SACK recovery episodes
	0 byte rexmits in SACK recovery episodes
	0 SACK options (SACK blocks) received
	0 SACK options (SACK blocks) sent
	0 SACK scoreboard overflow
	0 packets with ECN CE bit set
	0 packets with ECN ECT(0) bit set
	0 packets with ECN ECT(1) bit set
	0 successful ECN handshakes
	0 times ECN reduced the congestion window

receiving host, before:
tcp:
	8 packets sent
		8 data packets (2768 bytes)
		0 data packets (0 bytes) retransmitted
		0 data packets unnecessarily retransmitted
		0 resends initiated by MTU discovery
		0 ack-only packets (0 delayed)
		0 URG only packets
		0 window probe packets
		0 window update packets
		0 control packets
	1 packet received
		1 ack (for 48 bytes)
		0 duplicate acks
		0 acks for unsent data
		0 packets (0 bytes) received in-sequence
		0 completely duplicate packets (0 bytes)
		0 old duplicate packets
		0 packets with some dup. data (0 bytes duped)
		0 out-of-order packets (0 bytes)
		0 packets (0 bytes) of data after window
		0 window probes
		0 window update packets
		0 packets received after close
		0 discarded for bad checksums
		0 discarded for bad header offset fields
		0 discarded because packet too short
		0 discarded due to memory problems
	0 connection requests
	0 connection accepts
	0 bad connection attempts
	0 listen queue overflows
	0 ignored RSTs in the windows
	0 connections established (including accepts)
	0 connections closed (including 0 drops)
		0 connections updated cached RTT on close
		0 connections updated cached RTT variance on close
		0 connections updated cached ssthresh on close
	0 embryonic connections dropped
	1 segment updated rtt (of 0 attempts)
	0 retransmit timeouts
		0 connections dropped by rexmit timeout
	0 persist timeouts
		0 connections dropped by persist timeout
	0 Connections (fin_wait_2) dropped because of timeout
	0 keepalive timeouts
		0 keepalive probes sent
		0 connections dropped by keepalive
	1 correct ACK header prediction
	0 correct data packet header predictions
	0 syncache entries added
		0 retransmitted
		0 dupsyn
		0 dropped
		0 completed
		0 bucket overflow
		0 cache overflow
		0 reset
		0 stale
		0 aborted
		0 badack
		0 unreach
		0 zone failures
	0 cookies sent
	0 cookies received
	0 hostcache entries added
		0 bucket overflow
	0 SACK recovery episodes
	0 segment rexmits in SACK recovery episodes
	0 byte rexmits in SACK recovery episodes
	0 SACK options (SACK blocks) received
	0 SACK options (SACK blocks) sent
	0 SACK scoreboard overflow
	0 packets with ECN CE bit set
	0 packets with ECN ECT(0) bit set
	0 packets with ECN ECT(1) bit set
	0 successful ECN handshakes
	0 times ECN reduced the congestion window

receiving host, after:
tcp:
	63748 packets sent
		929 data packets (58374 bytes)
		4 data packets (768 bytes) retransmitted
		0 data packets unnecessarily retransmitted
		0 resends initiated by MTU discovery
		37099 ack-only packets (21 delayed)
		0 URG only packets
		0 window probe packets
		25713 window update packets
		3 control packets
	84665 packets received
		922 acks (for 57523 bytes)
		27 duplicate acks
		0 acks for unsent data
		83191 packets (104368795 bytes) received in-sequence
		0 completely duplicate packets (0 bytes)
		0 old duplicate packets
		0 packets with some dup. data (0 bytes duped)
		523 out-of-order packets (653588 bytes)
		0 packets (0 bytes) of data after window
		0 window probes
		1 window update packet
		0 packets received after close
		0 discarded for bad checksums
		0 discarded for bad header offset fields
		0 discarded because packet too short
		0 discarded due to memory problems
	0 connection requests
	3 connection accepts
	0 bad connection attempts
	0 listen queue overflows
	1 ignored RSTs in the window
	3 connections established (including accepts)
	66 connections closed (including 0 drops)
		1 connection updated cached RTT on close
		1 connection updated cached RTT variance on close
		1 connection updated cached ssthresh on close
	0 embryonic connections dropped
	922 segments updated rtt (of 812 attempts)
	0 retransmit timeouts
		0 connections dropped by rexmit timeout
	0 persist timeouts
		0 connections dropped by persist timeout
	0 Connections (fin_wait_2) dropped because of timeout
	0 keepalive timeouts
		0 keepalive probes sent
		0 connections dropped by keepalive
	786 correct ACK header predictions
	83095 correct data packet header predictions
	3 syncache entries added
		0 retransmitted
		0 dupsyn
		0 dropped
		3 completed
		0 bucket overflow
		0 cache overflow
		0 reset
		0 stale
		0 aborted
		0 badack
		0 unreach
		0 zone failures
	3 cookies sent
	0 cookies received
	0 hostcache entries added
		0 bucket overflow
	0 SACK recovery episodes
	0 segment rexmits in SACK recovery episodes
	0 byte rexmits in SACK recovery episodes
	0 SACK options (SACK blocks) received
	0 SACK options (SACK blocks) sent
	0 SACK scoreboard overflow
	0 packets with ECN CE bit set
	0 packets with ECN ECT(0) bit set
	0 packets with ECN ECT(1) bit set
	0 successful ECN handshakes
	0 times ECN reduced the congestion window
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:28 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped